IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[MEDWEB_GECMISTETKIKLER_BYTETKIKID]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].[MEDWEB_GECMISTETKIKLER_BYTETKIKID]
GO
CREATE FUNCTION [dbo].[MEDWEB_GECMISTETKIKLER_BYTETKIKID](@HKIMLIKID int, @HTETKIKID int) 
RETURNS @retGecmisTetkikler TABLE 
(
	TETKIKTURADI nvarchar(50),
	ITEMADI nvarchar(150),
	HTRAPORU ntext,
	HTSONUC ntext,
	HTETKIKID int,
	LTCKIMLIKNO nvarchar(25),
	LADISOYADI nvarchar(75),
	LDTARIHI datetime,
	LHYASI int,
	HCINSIYETI nvarchar(5),
	HDOSYAID nvarchar(50),
	LBOLUM nvarchar(50),
	LDOKTOR nvarchar(50),
	LUYGBOLUM nvarchar(50),
	LUYGDRADI nvarchar(50),
	UYGDRUNVAN nvarchar(50),
	UYGDRUZMANLIKADI nvarchar(100),
	ITARIH datetime,
	LITEMADI nvarchar(420)
)
AS
BEGIN
	INSERT INTO @retGecmisTetkikler
	SELECT TETKIKTURADI, ITEMADI, HTRAPORU, HTSONUC, HTETKIKID, LTCKIMLIKNO, LADISOYADI, LDTARIHI, LHYASI, HCINSIYETI, HDOSYAID, LBOLUM,
                 LDOKTOR, LUYGBOLUM, LUYGDRADI, UYGDRUNVAN, UYGDRUZMANLIKADI,ITARIH,LITEMADI
	FROM VWTETKIK 
	WHERE HKIMLIKID = @HKIMLIKID AND HTETKIKID  = @HTETKIKID AND DURUM = 2 AND WEBGORUNSUN = 1
	ORDER BY HTETKIKID DESC
    RETURN
END
